cURL
curl --request PATCH \ --url https://shelfforce.ai/api/v1/members/{userId} \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "role": "owner", "assignedStates": [ "<string>" ], "assignedChannels": [ "<string>" ], "reportsTo": "<string>" } '
{ "data": { "userId": "<string>", "role": "owner", "createdAt": "2023-11-07T05:31:56Z", "name": "<string>", "email": "<string>", "reportsTo": "<string>", "assignedStates": [ "<string>" ], "assignedChannels": [ "<string>" ] } }
Updates a member’s role, territory, or reporting line. Requires admin role.
API key with sf_live_ prefix. Pass as Authorization: Bearer sf_live_...
sf_live_
Authorization: Bearer sf_live_...
User ID of the member
owner
admin
member
tasker
User ID
Member updated.
Show child attributes